html,
body {
  width: 100%;
  min-height: 100vh;
  height: 100vh;
  margin: 0;
  padding: 0;
  user-select: none;
  -moz-user-select: none;
  -webkit-user-select: none;
  -ms-user-select: none;
  background-color: #000;
  overflow: hidden;
  min-height: -webkit-fill-available;
  touch-action: manipulation;
  -ms-touch-action: manipulation;
  -webkit-touch-callout: none;
}

html {
  height: -webkit-fill-available;
}

#gameCanvas {
  display: block;
}



/* #liveRealityCheckUKGC {
  top: 38px !important;
  right: 5px !important;
} */

.leanderInfoBarTable {
  border: none;
}

#clockTimeSE {
  top: 2px !important;
  right: 20px !important;
}

#gameContainer {
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  max-height: 100%;
  position: fixed;
}

@media (hover: none) and (orientation: landscape),
(pointer: coarse) and (orientation: landscape) {

  html,
  body {
    overflow: visible;
  }

  #gameContainer {
    top: auto;
    bottom: 0;
  }
}

#helpContainer {
  display: none;
  position: absolute;
  overflow-y: scroll;
  overflow-x: hidden;
  width: 100%;
  height: calc(100% - 90px);
  top: 90px;
  -webkit-touch-callout: none !important;
}

#jpWinAlertBox {
  position: absolute;
  display: none;
  width: 250px;
  height: 35px;
  line-height: 35px;
  top: -50px;
  left: 0;
  right: 0;
  margin: auto;
  background-color: #000000;
  border: 1px solid #fff;
  font-size: 12px;
  font-weight: bold;
  font-family: Arial, serif;
  text-align: center;
  color: #fff;
}

.jpWinAlertBoxDT {
  top: 15px !important;
  opacity: 0;
  transition-property: opacity;
  transition-duration: 1s;
  transition-timing-function: linear;
}

.jpWinAlertBoxOpacity {
  opacity: 1;
}

.jpWinAlertBoxMobileLand {
  top: 15px !important;
  opacity: 0;
  transition-property: opacity;
  transition-duration: 2s;
  transition-timing-function: linear;
  transition-delay: 1s;
}

.jpWinAlertBoxMobilePot {
  top: 50px !important;
  opacity: 0;
  transition-property: opacity;
  transition-duration: 2s;
  transition-timing-function: linear;
  transition-delay: 1s;
}

#fontTemp {
  position: absolute;
  opacity: 0;
  z-index: -1;
}



@media (orientation: portrait) {
  #clockTimeSE {
    top: 20px !important;
    right: 20px !important;
  }

  /* #liveRealityCheckUKGC {
    top: 3px !important;
    left: 0px !important;
    right: 0px !important;
    background-color: rgba(0, 0, 0, 0) !important;
  } */
/* 
  #liveRealityCheckUKGC .leanderInfoBarTable tr {
    display: inline;
    background-color: rgba(0, 0, 0, 0.4);
  } */

  .leanderInfoBarTable {
    line-height: 0.9em !important
  }
}

/* #liveRealityCheckUKGC .leanderInfoBarTable tr:nth-of-type(2),
#liveRealityCheckUKGC .leanderInfoBarTable tr:nth-of-type(3) {
  display: none;
} */

/*settingPanel*/

#settingPanel {
  display: none;
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  color: #ffffff;
  font-family: Arial, Verdana, Helvetica;
}

#SP-Alpha {
  position: absolute;
  top: 0px;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.7);
  user-select: none;
  cursor: default;
  margin: 0;
  padding: 0;
}

#SP-Container {
  position: absolute;
  top: 50%;
  -ms-transform: translateY(-50%);
  transform: translateY(-50%);
  right: 0;
  left: 0;
  width: 100%;
  height: 100%;
  margin: auto;
  background-color: rgba(17, 17, 17, 255);
  max-width: 1240px;
}

#SP-Menu {
  width: 100%;
  height: 70px;
}

#SP-MenuBtns {
  display: table;
  position: relative;
  margin: 10px auto;
}

.SP-MenuBtn {
  position: relative;
  float: left;
  width: 55px;
  height: 55px;
  cursor: pointer;
  margin: 0 5px;
}

#helpBtn {
  background-image: url("../resource/settingsPanelImg/PaytableInfo_Idle.png");
  background-size: cover;
  transition: background-color 0.3s ease, transform 0.3s ease;
}

#helpBtn:hover {
  background-image: url("../resource/settingsPanelImg/PaytableInfo_Over.png");
}

.helpBtnDisable {
  opacity: 0.6;
  cursor: auto;
  pointer-events: none;
}

#betSettingBtn {
  background-image: url("../resource/settingsPanelImg/PaytableSetting_Idle.png");
  background-size: cover;
  transition: background-color 0.3s ease, transform 0.3s ease;
}

#betSettingBtn:hover {
  background-image: url("../resource/settingsPanelImg/PaytableSetting_Over.png");
  background-size: cover;
}

.betSettingBtnDisable {
  opacity: 0.6;
  cursor: auto;
  pointer-events: none;
}

#closeBtn {
  position: absolute;
  top: 50px;
  right: 10px;
  width: 40px;
  height: 40px;
  background-image: url("../resource/settingsPanelImg/CloseButton-Idle.png");
  background-size: cover;
  cursor: pointer;
  transition: background-color 0.3s ease, transform 0.3s ease;
}

#closeBtn:hover {
  background-image: url("../resource/settingsPanelImg/CloseButton-Over.png");
  background-size: cover;
}

#SP-Menu-bottomLine {

  width: 90%;
  height: 1px;
  margin: 0 auto;
  background-image: linear-gradient(to right, #111, #fff, rgb(17 17 17));
}

#SP-Options {
  scale: 0.85;
  display: none;
  position: relative;
  margin: 0 auto;
  display: block;
  font-weight: bold;
  font-size: 6vmin;
}

#coinSetting {
  margin: 10px auto;
  display: table;
  position: relative;
}

#CS-Options {
  margin: 10px 0;
}

#CS-lable {
  text-align: center;
}

.CS-OptionBtn {
  position: relative;
  float: left;
  width: 13vmin;
  height: 13vmin;
  cursor: pointer;
  margin: 5px 10px;
}

#CS-minuBtn {
  background-image: url("../resource/settingsPanelImg/PaytableMinus_idle.png");
  background-size: cover;
  transition: background-color 0.3s ease, transform 0.3s ease;
}

.CS-minuBtnHover:hover {
  background-image: url("../resource/settingsPanelImg/PaytableMinus_Over.png") !important;
}

.CS-minuBtnDisable {
  opacity: 0.6;
  cursor: auto;
  pointer-events: none;
}

#CS-plusBtn {
  background-image: url("../resource/settingsPanelImg/PaytablePlus_Idle.png");
  background-size: cover;
  transition: background-color 0.3s ease, transform 0.3s ease;
}

.CS-plusBtnHover:hover {
  background-image: url("../resource/settingsPanelImg/PaytablePlus_Over.png") !important;
}

.CS-plusBtnDisable {
  cursor: auto;
  opacity: 0.6;
  pointer-events: none;
}

#CS-betmeter {
  position: relative;
  width: 50vmin;
  height: 14vmin;
  font-size: 7vmin;
  line-height: 14vmin;
  text-align: center;
  float: left;
  border: 1px solid rgba(223, 213, 213, 1);
  border-radius: 5px;
}

#gameLine {
  margin: 3vmin 0;
}

#GL-lable {
  font-size: 6vmin;
  text-align: center;
}

#GL-meter {
  margin: 10px auto;

  position: relative;
  width: 50vmin;
  height: 14vmin;
  font-size: 7vmin;
  line-height: 14vmin;
  text-align: center;

  border: 1px solid rgba(223, 213, 213, 1);
  border-radius: 5px;
}

#betMax {
  position: relative;
  margin: 10px auto;
  text-align: center;
}

.betMaxBtn {
  background-color: #fff;
  background-image: linear-gradient(0, #222, #fff);
  background-position: bottom left;
  background-size: 100% 125%;
  border: 1px solid #fff;
  border-radius: 5px;
  color: #fff;
  cursor: pointer;
  font-size: 6vmin;
  font-weight: bold;
  outline: none;
  padding: 15px 50px;
  transition: background var(0.5s, 0.25s) ease-in-out;
  will-change: background;
}

.betMaxBtnHover:hover {
  background-size: 100% 100%;
  color: #000;
}

.betMaxBtn:disabled,
.betMaxBtn[disabled] {
  cursor: auto;
  opacity: 0.6;
  pointer-events: none;
}

@media only screen and (min-width: 1024px) and (orientation: landscape) {
  #SP-Container {
    width: 90%;
    height: 85%;
  }
}

@media only screen and (max-height: 340px) and (orientation: landscape) {
  #SP-Container {
    height: 100%;
    width: 100%;
  }

  #gameLine {
    display: inline-block;
  }

  #betMax {
    display: inline-block;
    margin: 10px 10px;
    bottom: 5px;
  }
}




@media only screen and (max-height: 340px) and (orientation: potrait) {
  #SP-Container {
    width: 100%;
  }
}




@media (orientation: portrait) {
  #gameLine {
    margin: 7vmin 0;
  }

  #coinSetting {
    margin: 7vmin auto;
  }

  #betMax {
    margin: 7vmin auto;
  }

  #SP-Content {
    top: 90px;
  }
}

/* #liveRealityCheckUKGC .leanderInfoBarTable tr:nth-of-type(2),
#liveRealityCheckUKGC .leanderInfoBarTable tr:nth-of-type(3) {
  display: none;
} */

/** promo free plays display none **/
.leanderWrapperPromotionSpinWin {
  display: none;
}

.leanderWrapperPromotionPlaysRemaining {
  display: none;
}

.leanderWrapperPromotionTotalWin {
  display: none;
}


#fs-overlay {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 100;
  background-color: rgba(0, 0, 0, .8);
}

#fs-overlay>img,
#fs-overlay>svg {
  top: 50%;
  left: 50%;
  width: 50vh;
  height: 50vh;
  position: absolute;
  transform: translate(-50%, -50%);
}

@media (orientation: portrait) {
  #fs-overlay {
    scale: 1;
  }
}

@media (orientation: landscape) {
  #fs-overlay {
    scale: 1.3;
  }
}